<div class="mdl-card m-border post m-poster" *ngIf="session.isLoggedIn()">
  <div class="mdl-card__supporting-text">
    <form (submit)="post()">
      <ng-template
        #itemTemplate
        let-choice="choice"
        let-selectChoice="selectChoice"
      >
        <m-post-autocomplete-item-renderer
          [choice]="choice"
          [selectChoice]="selectChoice"
        ></m-post-autocomplete-item-renderer>
      </ng-template>

      <m-text-input--autocomplete-container>
        <textarea
          class="mdl-textfield__input"
          type="text"
          id="message"
          #message
          name="message"
          [ngModel]="meta.message"
          (ngModelChange)="onMessageChange($event)"
          (keyup)="getPostPreview(message); onTagsChange($event)"
          placeholder="Speak your mind..."
          i18n-placeholder="@@MINDS__POSTER__SPEAK_YOUR_MIND"
          [autoGrow]
          mTextInputAutocomplete
          [findChoices]="suggestions.findSuggestions"
          [getChoiceLabel]="suggestions.getChoiceLabel"
          [itemTemplate]="itemTemplate"
          [triggerCharacters]="['#', '@']"
        ></textarea>
      </m-text-input--autocomplete-container>

      <div
        class="m-poster__ActionBar"
        [class.m-poster__Actionbar--hide-labels]="!showActionBarLabels"
      >
        <a class="m-posterActionBar__CreateBlog" (click)="createBlog($event)">
          <i class="material-icons m-posterActionBar__Icon">subject</i>
          <span class="m-posterActionBar__Label">Create blog</span>
        </a>

        <!-- Attachments -->
        <label
          for="attachment-input-poster"
          class="attachment-button m-posterActionBar__Attach"
          [ngClass]="{ 'mdl-color-text--amber-500': attachment.hasFile() }"
        >
          <i class="material-icons m-posterActionBar__Icon">attachment</i>
          <span class="m-posterActionBar__Label">Attach</span>
          <input
            type="file"
            id="attachment-input-poster"
            #file
            name="attachment"
            (change)="uploadAttachment(file, $event)"
          />
        </label>

        <ng-container *mIfFeature="'top-feeds'; else oldNSFW">
          <m-nsfw-selector (selected)="onNSWFSelections($event)">
          </m-nsfw-selector>
        </ng-container>

        <ng-template #oldNSFW>
          <a
            class="m-mature-button m-posterActionBar__MatureButton"
            [ngClass]="{ 'mdl-color-text--red-500': attachment.isMature() }"
            (click)="attachment.toggleMature()"
            title="Rating"
            i18n-title
          >
            <i class="material-icons m-posterActionBar__Icon">explicit</i>
            <span class="m-posterActionBar__Label">Rating</span>
          </a>
        </ng-template>

        <m-hashtags-selector
          class="m-posterActionBar__HashtagSelector"
          #hashtagsSelector
          [tags]="tags"
          buttonClass="m-posterActionBar__IconAndLabel"
          labelPosition="right"
          (tagsChange)="onTagsChange($event)"
          (tagsAdded)="onTagsAdded($event)"
          (tagsRemoved)="onTagsRemoved($event)"
        ></m-hashtags-selector>

        <m-wire-threshold-input
          class="m-posterActionBar__ThresholdInput"
          buttonClass="m-posterActionBar__IconAndLabel"
          labelPosition="right"
          [(threshold)]="meta.wire_threshold"
          (validThreshold)="validThreshold = $event"
        ></m-wire-threshold-input>

        <button
          type="submit"
          class="m-posterActionBar__PostButton"
          [disabled]="
            !canPost ||
            !validThreshold ||
            inProgress ||
            this.hashtagsSelector.tags.length > 5
          "
        >
          <span
            class="m-posterActionBar__Label"
            i18n="Action of posting@@MINDS__POSTER__POST_ACTION"
            >Post</span
          >
          <i class="material-icons m-posterActionBar__Icon">send</i>
        </button>
      </div>
    </form>
  </div>
  <div
    class="mdl-card mdl-color--red-500 mdl-color-text--blue-grey-50  mdl-shadow--2dp"
    style="min-height:0;"
    *ngIf="errorMessage"
  >
    <div class="mdl-card__supporting-text mdl-color-text--blue-grey-50">
      {{ errorMessage }}
    </div>
  </div>
  <!-- Rich embed preview -->
  <div class="post-preview" *ngIf="attachment.isRich()">
    <div
      class="mdl-spinner mdl-js-spinner is-active"
      [mdl]
      [hidden]="attachment.getMeta().title"
    ></div>
    <div class="m-rich-embed" *ngIf="attachment.getMeta().title">
      <div class="attachment-preview-delete" (click)="removeRichEmbed()">
        <i class="material-icons">delete</i>
      </div>
      <minds-rich-embed [preview]="attachment.getMeta()"></minds-rich-embed>
    </div>
  </div>

  <!-- Attachment preview -->
  <div
    class="post-preview"
    *ngIf="attachment.hasFile() || (attachment.progress | async) > 0"
    (click)="removeAttachment(file)"
  >
    <div
      class="mdl-progress mdl-js-progress"
      [mdlUpload]
      [progress]="attachment.progress | async"
      [hidden]="(attachment.progress | async) == 0"
      [ngClass]="{ complete: (attachment.progress | async) == 100 }"
    ></div>
    <div
      *ngIf="attachment.getMime() == 'video'"
      class="attachment-preview video-placeholder mdl-color--blue-grey-600"
    >
      <i class="material-icons" *ngIf="!attachment.isPendingDelete()"
        >videocam</i
      >
    </div>

    <ng-container>
      <img
        *ngIf="attachment.getMime() != 'video'"
        [src]="attachment.getPreview()"
        class="attachment-preview"
      />
      <div
        class="attachment-preview-delete"
        *ngIf="!attachment.isPendingDelete()"
      >
        <i class="material-icons">delete</i>
      </div>
      <div
        class="mdl-spinner attachment-preview-delete-in-progress mdl-js-spinner is-active"
        [mdl]
        *ngIf="attachment.isPendingDelete()"
      ></div>
    </ng-container>
    <!--<div class="attachment-preview-delete-in-progress" *ngIf="attachment.isPendingDelete()">-->
    <!--<div class="mdl-spinner mdl-js-spinner is-active" [mdl]></div>-->
    <!--</div>-->
  </div>
</div>
